//
//  CWBaseCollectionViewCell.swift
//  ClockWidget
//
//  Created by fff on 2024/11/12.
//


class TSBaseCollectionCell: UICollectionViewCell {
    
    lazy var bgContentView:UIView = {
        let view = UIView()
        view.backgroundColor = .clear
        return view
    }()
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        self.backgroundColor = .clear
        self.addSubview(bgContentView)
        bgContentView.snp.makeConstraints { make in
            make.top.leading.trailing.bottom.equalTo(0)
        }
        creatUI()
        dealThings()
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    func creatUI(){
        
    }
    
    func dealThings(){
        
    }
    
    deinit {
        debugPrint("<---deinit \(String(describing: self))")
    }
    
}


class TSBaseCollectionnReusableView : UICollectionReusableView {
    lazy var bgContentView:UIView = {
        let view = UIView()
        view.backgroundColor = .clear
        return view
    }()
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        self.backgroundColor = .clear
        self.addSubview(bgContentView)
        bgContentView.snp.makeConstraints { make in
            make.top.leading.trailing.bottom.equalTo(0)
        }
        creatUI()
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    func creatUI(){
        
    }
    
    deinit {
        debugPrint("<---deinit \(String(describing: self))")
    }
    
}
